using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace programirane
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[]s=Console.ReadLine().Split(' ');
            int br = 0;
            int n=int.Parse(s[0]);
            int g=int.Parse(s[1]);
            s= Console.ReadLine().Split(' ');
            for(int i=0;i<n;i++)
            {
                if(int.Parse(s[i])<=g)
                {
                    Console.WriteLine("{0}", i + 1);
                    br = 1;
                    break;
                }
            }
            if(br==0)
            {
                Console.WriteLine("-1");
            }
        }
    }
}